Bug 1973939 - F35FailsToInstall: rust-simba+cordic-devel, rust-simba+fixed-devel, rust-simba+packed_simd-devel, rust-simba+partial_fixed_point_support-devel, rust-simba+serde_serialize-devel, rust-simba+wide-devel
Summary: F35FailsToInstall: rust-simba+cordic-devel, rust-simba+fixed-devel, rust-simb...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-simba
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rémi Lauzier
QA Contact:
URL:
Whiteboard:
Depends On: 1973992 1973993
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-06-19 08:04 UTC by Miro Hrončok
Modified: 2021-07-11 05:23 UTC (History)
2 users (show)

Fixed In Version: rust-simba-0.5.1-4.fc35 rust-simba-0.5.1-10.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-01 16:06:15 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-06-19 08:04:51 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (rust-simba) Fails To Install in Fedora 35:

can't install rust-simba+cordic-devel:
  - nothing provides (crate(cordic/default) >= 0.1.0 with crate(cordic/default) < 0.2.0~) needed by rust-simba+cordic-devel-0.5.1-1.fc35.noarch
  
can't install rust-simba+fixed-devel:
  - nothing provides (crate(fixed/default) >= 1.0.0 with crate(fixed/default) < 2.0.0~) needed by rust-simba+fixed-devel-0.5.1-1.fc35.noarch
  
can't install rust-simba+packed_simd-devel:
  - nothing provides (crate(packed_simd_2/default) >= 0.3.0 with crate(packed_simd_2/default) < 0.4.0~) needed by rust-simba+packed_simd-devel-0.5.1-1.fc35.noarch
  - nothing provides (crate(packed_simd_2/into_bits) >= 0.3.0 with crate(packed_simd_2/into_bits) < 0.4.0~) needed by rust-simba+packed_simd-devel-0.5.1-1.fc35.noarch
  
can't install rust-simba+partial_fixed_point_support-devel:
  - nothing provides (crate(cordic/default) >= 0.1.0 with crate(cordic/default) < 0.2.0~) needed by rust-simba+partial_fixed_point_support-devel-0.5.1-1.fc35.noarch
  - nothing provides (crate(fixed/default) >= 1.0.0 with crate(fixed/default) < 2.0.0~) needed by rust-simba+partial_fixed_point_support-devel-0.5.1-1.fc35.noarch
  
can't install rust-simba+serde_serialize-devel:
  - nothing provides (crate(fixed/serde) >= 1.0.0 with crate(fixed/serde) < 2.0.0~) needed by rust-simba+serde_serialize-devel-0.5.1-1.fc35.noarch
  
can't install rust-simba+wide-devel:
  - nothing provides (crate(wide/default) >= 0.6.0 with crate(wide/default) < 0.7.0~) needed by rust-simba+wide-devel-0.5.1-1.fc35.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Update System 2021-06-21 01:53:14 UTC
FEDORA-2021-2cbda62e62 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-2cbda62e62

Comment 2 Fedora Update System 2021-06-22 01:04:31 UTC
FEDORA-2021-2cbda62e62 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-2cbda62e62`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-2cbda62e62

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2021-06-30 03:14:59 UTC
FEDORA-2021-2cbda62e62 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2021-07-01 16:04:44 UTC
FEDORA-2021-d8655943c6 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d8655943c6

Comment 5 Fedora Update System 2021-07-01 16:06:15 UTC
FEDORA-2021-d8655943c6 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-07-11 05:22:15 UTC
FEDORA-2021-da7b708a82 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-da7b708a82

Comment 7 Fedora Update System 2021-07-11 05:23:49 UTC
FEDORA-2021-da7b708a82 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.